Page MenuHomePhabricator

Extension:OATHauth should provide users a preferences link to manage OATH if they are removed from allowed group but still have it enabled
Closed, ResolvedPublic

Description

If OATH is only allowed for people in restricted groups, and the user enables OATH but is later removed from that group, then the user is no longer provided a link to un-enroll from Special:Preferences and must manually access Special:OATH

Details

Related Gerrit Patches:

Event Timeline

Bawolff created this task.Nov 12 2016, 6:29 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 12 2016, 6:29 PM
Xaosflux triaged this task as Low priority.Nov 12 2016, 11:08 PM

This does not appear to actually be broken. I just successfully un-enrolled an account that was no longer eligible to enroll. (testwiki:user:xaosflux_ep)

This an be accomplished via SPECIAL:OATH (though it does not appear in the perferences page)

@Bawolff - perhaps refactor this task to be about including a preference link ?

Xaosflux renamed this task from Extension:OATHauth should allow users to manage OATH if they are removed from allowed group but still have it enabled to Extension:OATHauth should provide users a preferenced link to manage OATH if they are removed from allowed group but still have it enabled.Nov 12 2016, 11:53 PM
Xaosflux renamed this task from Extension:OATHauth should provide users a preferenced link to manage OATH if they are removed from allowed group but still have it enabled to Extension:OATHauth should provide users a preferences link to manage OATH if they are removed from allowed group but still have it enabled.
Xaosflux updated the task description. (Show Details)

Change 321163 had a related patch set uploaded (by Legoktm):
Show preferences link if user has a key set, but no userright

https://gerrit.wikimedia.org/r/321163

Change 321163 merged by jenkins-bot:
Show preferences link if user has a key set, but no userright

https://gerrit.wikimedia.org/r/321163

TheDJ added a subscriber: TheDJ.Nov 13 2016, 9:43 AM
Reedy closed this task as Resolved.Nov 16 2016, 10:38 PM
Reedy assigned this task to Legoktm.